[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.CustomDraw

Performs custom drawing using the assigned event handlers for the tree view control.

## Declaration

Source position: comctrls.pp line 3571

`protected function TCustomTreeView.CustomDraw(`
`const ARect: TRect;`
`Stage: TCustomDrawStage`
`):Boolean; virtual;`

## Arguments

`ARect` |  | Bounds rectangle for the tree view control.
`Stage` |  | Drawing stage for the tree view control. cdPrePaint allows the OnCustomDraw event handler to be signalled.

## Function result

True if default drawing must be performed by the tree view control. False if default drawing was performed in one of the event handlers.

## Description

CustomDraw is a method used to perform custom drawing for the tree view using the event handlers assigned in the control. The OnCustomDraw or OnAdvancedCustomDraw event handlers are signalled depending on the drawing stage in Stage. OnCustomDraw is signalled only when Stage is set to cdPrePaint.

The return value is True if default drawing should be performed in the tree view control, and was not performed by event handlers in the control.

CustomDraw is called from the DoPaint method and occurs after values in the States property have been updated.

## See also

TCustomTreeView.IsCustomDrawn |  | Returns True if the specified target is custom-drawn.
TCustomTreeView.OnCustomDraw |  | Event handler signalled to perform custom drawing for the tree view control.
TCustomTreeView.OnAdvancedCustomDraw |  | Event handler signalled to custom draw the grid control using drawing stages.
TCustomTreeView.DoPaint |  | Implements the Paint method for the control.
TCustomTreeView.States |  | Contains the state values in effect for the control.
TCustomDrawStage |  | TCustomDrawStage a series of constants to define the drawing stages for custom-drawn controls.